> For the complete documentation index, see [llms.txt](https://docs.uomi.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uomi.ai/build/run-a-node/run-an-archive-node.md).

# Run an archive node

### Overview[​](https://docs.astar.network/docs/build/nodes/archive-node/#overview) <a href="#overview" id="overview"></a>

An **archive node** stores the history of past blocks. Most of times, an archive node is used as **RPC endpoint**. RPC plays a vital role on our network: it connects users and dApps to the blockchain through WebSocket and HTTP endpoints.&#x20;

**DApp projects** need to run their own RPC node as archive to the retrieve necessary blockchain data and not to rely on public infrastructure. Public endpoints respond slower because of the large amount of users connected and are rate limited.

{% hint style="warning" %}
**CAUTION**\
Be careful not to confuse with a **full node** that has a pruned database: a full node only stores the current state and most recent blocks (256 blocks by default) and uses much less storage space.
{% endhint %}

We maintain 2 different networks: the testnet Uomi Finney and the mainnet Uomi

| Type    | Name   | Token |
| ------- | ------ | ----- |
| Testnet | Finney | $UOMI |
| Mainnet | Uomi   | $UOMI |

### Requirements[​](https://docs.astar.network/docs/build/nodes/archive-node/#requirements) <a href="#requirements" id="requirements"></a>

#### Machine[​](https://docs.astar.network/docs/build/nodes/archive-node/#machine) <a href="#machine" id="machine"></a>

{% hint style="info" %}
**NOTE**

* Storage space will increase as the network grows.
* Archive nodes may require a larger server, depending on the amount and frequency of data requested by a dApp.
  {% endhint %}

| Component | Min. requirement             |
| --------- | ---------------------------- |
| System    | Ubuntu 22.04                 |
| CPU       | 8 cores                      |
| Memory    | 16 GB                        |
| Hard Disk | 500 GB SSD (NVMe preferable) |

#### Ports[​](https://docs.astar.network/docs/build/nodes/archive-node/#ports) <a href="#ports" id="ports"></a>

The Uomi node needs different ports to run:

| Description | Port  | Custom Port Flag    |
| ----------- | ----- | ------------------- |
| P2P         | 30333 | `--port`            |
| RPC         | 9944  | `--rpc-port`        |
| Prometheus  | 9615  | `--prometheus-port` |

For all types of nodes, ports `30333` need to be opened for incoming traffic at the Firewall. **Validator nodes should not expose WS and RPC ports to the public.**

***

### Installation[​](https://docs.astar.network/docs/build/nodes/archive-node/#installation) <a href="#installation" id="installation"></a>

Using [Binary](/build/run-a-node/run-an-archive-node/binary.md) - run the node from binary file and set it up as systemd service

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.uomi.ai/build/run-a-node/run-an-archive-node.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
